{combine_css path="themes/default/js/ui/theme/jquery.ui.button.css"}
{combine_css path="themes/greydragon/admin/css/styles.css"}
{combine_script id='greydragon.admin' load='footer' require='jquery,jquery.ui.button' path='themes/greydragon/admin/js/admin.js' }
{if $options.p_debug == "on"}
{debug}
{/if}

<div class="titrePage">
  <h2>{'GreyDragon Theme'|@translate} - {$options.version}</h2>
  <div class="left-links">
    <ul><li><a href="http://blog.dragonsoft.us/piwigo/" target="_blank">{'Home'|@translate}</a>&nbsp;|&nbsp;</li>
      <li><a href="http://piwigo.org/forum/viewtopic.php?pid=154192" target="_blank">{'Support'|@translate}</a>&nbsp;|&nbsp;</li>
      <li><a title="Follow me on Twitter" href="http://twitter.com/greydragon_th" target="_blank">{'Follow'|@translate}</a>&nbsp;|&nbsp;</li>
      <li><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&amp;hosted_button_id=9MWBSVJMWMJEU" target="_blank">{'Coffee Fund'|@translate}</a>&nbsp;|&nbsp;</li>
      <li><a href="http://piwigo.org/ext/extension_view.php?eid=775" onclick="return false" target="_blank">{'Download'|@translate}</a></li>
    </ul>
  </div>
</div>
<form method="post" class="properties" action="" ENCTYPE="multipart/form-data" name="form" class="properties">
<div id="configContent">
  <fieldset>
    <legend>{'Prerequisits'|@translate}</legend>
    <ul>
      <li>
        <label>
          <span class="graphicalCheckbox {if $options.hasMinVer=="yes"}icon-check success{else}icon-check-empty error{/if}"></span>&nbsp;
          <input name="vercheck" disabled="1" type="checkbox" checked="checked" value="1">
          {'Piwigo 2.6.3+ Core Installed'|@translate}
        </label>
      </li>
      <li>
        <label>
          <span class="graphicalCheckbox {if $options.hasAP=="yes"}icon-check success{else}icon-check-empty error{/if}"></span>&nbsp;
          <input name="addpagescheck" disabled="1" type="checkbox" checked="checked" value="1">
          {'Additional Pages'|@translate} {'Installed'|@translate}
        </label>
      </li>
      <li>
        <label>
          <span class="graphicalCheckbox {if $options.hasED=="yes"}icon-check success{else}icon-check-empty error{/if}"></span>&nbsp;
          <input name="extdesccheck" disabled="1" type="checkbox" checked="checked" value="1">
          {'Extended Description'|@translate} {'Installed'|@translate}
        </label>
      </li>
    </ul>
  </fieldset>
  <fieldset>
    <legend>{'Suggested Modules'|@translate}</legend>
    <ul>
      <li>
        <label>
          <span class="graphicalCheckbox icon-check {if $options.hasGT=="yes"}icon-check success{else}icon-check-empty error{/if}"></span>
          <input name="vercheck" disabled="1" type="checkbox" checked="checked" value="1">
          <a href="http://piwigo.org/ext/extension_view.php?eid=771" target=_blank>{'gdThumb'|@translate}</a> {'Installed'|@translate}
        </label>
      </li>
      <li>
        <label>
          <span class="graphicalCheckbox icon-check {if $options.hasAT=="yes"}icon-check success{else}icon-check-empty error{/if}"></span>
          <input name="vercheck" disabled="1" type="checkbox" checked="checked" value="1">
          <a href="http://piwigo.org/ext/extension_view.php?eid=720" target=_blank>{'Admin Tools'|@translate}</a> {'Installed'|@translate}
        </label>
      </li>
    </ul>
  </fieldset>
  <fieldset>
    <legend>{'General Settings'|@translate}</legend>
    <ul>
      <li><input id="p_logo_path" name="p_logo_path" type="text" value="{$options.p_logo_path}"><label for="p_logo_path">{'Logo Image'|@translate}</label>
      <li><input id="p_favicon_path" name="p_favicon_path" type="text" value="{$options.p_favicon_path}"><label for="p_favicon_path">{'URL (or relative path) to your favicon.ico'|@translate}</label>
{* 
      <li><input id="p_apple_path" name="p_apple_path" type="text" value="{$options.p_apple_path}"><label for="p_apple_path">{'URL (or relative path) to your Apple Touch icon'|@translate}</label> 
*}
      <li><input id="p_header" name="p_header" type="text" value="{$options.p_header|escape:"html"}"><label for="p_header">{'Header Text'|@translate}</label>
      <li><input id="p_footer" name="p_footer" type="text" value="{$options.p_footer|escape:"html"}"><label for="p_footer">{'Footer Text'|@translate}</label>
      <li>
        <select id="p_colorpack" name="p_colorpack" adisabled="1">
        {foreach from=$colorpackArr item=name}
          <option {if $options.p_colorpack == $name}selected="selected"{/if} value="{$name}">{$name}</option>
        {/foreach}
        <!--  <option selected="selected" value="slateblue">slateblue</option> -->
        </select>
        <label for="p_colorpack">{'Color Pack'|@translate}</label>
      </li>
    </ul>      
  </fieldset>
  <fieldset>
    <legend>{'Advanced Options - General'|@translate}</legend>
    <ul>
      <li>
        <select id="p_main_menu" name="p_main_menu">
          <option {if $options.p_main_menu=="static"}selected="selected"{/if} value="static">{'Static Menu'|@translate}</option>
          <option {if $options.p_main_menu=="header-bottom"}selected="selected"{/if} value="header-bottom">{'Static Menu - Header Bottom'|@translate}</option>
          <option {if $options.p_main_menu=="opened"}selected="selected"{/if} value="opened">{'Popup Menu Opened'|@translate}</option>
          <option {if $options.p_main_menu=="closed"}selected="selected"{/if} value="closed">{'Popup Menu Closed'|@translate}</option>
{* 
          <option {if $options.p_main_menu=="top-bar"}selected="selected"{/if} value="top-bar">{'Static Menu - Top Bar'|@translate}</option>
          <option {if $options.p_main_menu=="header-top"}selected="selected"{/if} value="header-bottomleft">{'Header Top Left'|@translate}</option> 
*}
          <option {if $options.p_main_menu=="disabled"}selected="selected"{/if} value="disabled">{'Disabled'|@translate}</option>
        </select>
        <label for="p_main_menu">{'Main Menu Mode'|@translate}</label>
      </li>
      <li><label><span class="graphicalCheckbox {if $options.p_animated_menu=="on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_animated_menu" id="p_animated_menu" type="checkbox" value="on" {if $options.p_animated_menu=="on"}checked="checked"{/if}>{'Animate Menu'|@translate}</label></li>
      <li>
        <select id="p_credits" name="p_credits">
          <option {if $options.p_credits=="on"}selected="selected"{/if} value="on">{'Show Credits (Icon)'|@translate}</option>
          <option {if $options.p_credits=="text"}selected="selected"{/if} value="text">{'Show Credits (Text)'|@translate}</option>
          <option {if $options.p_credits=="off"}selected="selected"{/if} value="off">{'Hide'|@translate}</option>
        </select>
        <label for="p_credits">{'Show Site Credits'|@translate}</label>
      </li>
      <li><label><span class="graphicalCheckbox {if $options.p_nogenerator=="on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_nogenerator" id="p_nogenerator" type="checkbox" value="on" {if $options.p_nogenerator=="on"}checked="checked"{/if}>{'Remove Piwigo Generator Meta Tag'|@translate}</label></li>
      <li><label><span class="graphicalCheckbox {if $options.p_lowertext=="on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_lowertext" id="p_lowertext" type="checkbox" value="on" {if $options.p_lowertext=="on"}checked="checked"{/if}>{'Use Lowercase Text'|@translate}</label></li>
      <li><label><span class="graphicalCheckbox {if $options.p_hideabout=="on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_hideabout" id="p_hideabout" type="checkbox" value="on" {if $options.p_hideabout=="on"}checked="checked"{/if}>{'Hide About Link'|@translate}</label></li>
      <li><label><span class="graphicalCheckbox {if $options.p_adminemail=="on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_adminemail" id="p_adminemail" type="checkbox" value="on" {if $options.p_adminemail=="on"}checked="checked"{/if}>{'Include Contact Webmaster Email in the Footer for Members'|@translate}</label></li>
      <li><label><span class="graphicalCheckbox {if $options.p_nocounter=="on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_nocounter" id="p_nocounter" type="checkbox" value="on" {if $options.p_nocounter=="on"}checked="checked"{/if}>{'Remove photo counter in breadcrumbs'|@translate}</label></li>
    </ul>
  </fieldset>
  <fieldset>
    <legend>{'Advanced Options - Photo Page'|@translate}</legend>
    <ul>
      <li>
        <select id="p_pict_tab_default" name="p_pict_tab_default">
          <option {if $options.p_pict_tab_default=="desc"}selected="selected"{/if} value="desc">{'Description'|@translate}</option>
          <option {if $options.p_pict_tab_default=="info"}selected="selected"{/if} value="info">{'Info'|@translate}</option>
          <option {if $options.p_pict_tab_default=="exif"}selected="selected"{/if} value="exif">{'Exif'|@translate}</option>
          <option {if $options.p_pict_tab_default=="tags"}selected="selected"{/if} value="tags">{'Tags'|@translate}</option>
          <option {if $options.p_pict_tab_default=="comments"}selected="selected"{/if} value="comments">{'Comments'|@translate}</option>
          <option {if $options.p_pict_tab_default=="hide"}selected="selected"{/if} value="hide">{'Hide'|@translate}</option>
        </select>
        <label for="p_pict_tab_default">{'Default tab to be displayed'|@translate}</label>
      </li>
      <li><label><span class="graphicalCheckbox {if $options.p_pict_tab_anim=="on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_pict_tab_anim" id="p_pict_tab_anim" type="checkbox" value="on" {if $options.p_pict_tab_anim=="on"}checked="checked"{/if}>{'Animate Tabs'|@translate}</label></li>
    </ul>
  </fieldset>
  <fieldset>
    <legend>{'Advanced Options - Root Page'|@translate}</legend>
    <ul>
      <li><label><span class="graphicalCheckbox {if $options.p_rootpage=="on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_rootpage" id="p_rootpage" type="checkbox" value="on" {if $options.p_rootpage=="on"}checked="checked"{/if}>{'Enable Root Page'|@translate}</label></li>
      <li>
        <label class="textarea" for="p_rootpage_desc"><span class="textarea">{'Gallery Description'|@translate} {'(with Safe Quotes)'|@translate}</span>&nbsp;</label>
        <textarea rows="4" cols="50" id="p_rootpage_desc" name="p_rootpage_desc">{$options.p_rootpage_desc|unescape:"html"}</textarea>
      </li>
      <li>
        <select id="p_rootpage_src" name="p_rootpage_src">
          <option value="photo" {if $options.p_rootpage_src=="photo"}selected="selected"{/if}>{'Static Photo'|@translate}</option>
          <option value="random" {if $options.p_rootpage_src=="random"}selected="selected"{/if}>{'Static Random Photo'|@translate}</option>
          <option value="slider" {if $options.p_rootpage_src=="slider"}selected="selected"{/if}>{'Slideshow'|@translate}</option>
        </select>
        <label for="p_rootpage_src">{'Image Source (Default: Slideshow)'|@translate}</label>
      </li>
      <li><input id="p_rootpage_id" name="p_rootpage_id" type="text" value="{$options.p_rootpage_id}"><label for="p_rootpage_id">{'Photo/Album Index'|@translate}</label>
      <li>
        <select id="p_rootpage_mode" name="p_rootpage_mode">
          <option value="sliceDown" {if $options.p_rootpage_mode=="sliceDown"}selected="selected"{/if}>{'Slice Down'|@translate}</option>
          <option value="sliceDownLeft" {if $options.p_rootpage_mode=="sliceDownLeft"}selected="selected"{/if}>{'Slice Down Left'|@translate}</option>
          <option value="sliceUp" {if $options.p_rootpage_mode=="sliceUp"}selected="selected"{/if}>{'Slice Up'|@translate}</option>
          <option value="sliceUpLeft" {if $options.p_rootpage_mode=="sliceUpLeft"}selected="selected"{/if}>{'Slice Up Left'|@translate}</option>
          <option value="sliceUpDown" {if $options.p_rootpage_mode=="sliceUpDown"}selected="selected"{/if}>{'Slice Up Down'|@translate}</option>
          <option value="sliceUpDownLeft" {if $options.p_rootpage_mode=="sliceUpDownLeft"}selected="selected"{/if}>{'Slice Up Down Left'|@translate}</option>
          <option value="fold" {if $options.p_rootpage_mode=="fold"}selected="selected"{/if}>{'Fold'|@translate}</option>
          <option value="fade" {if $options.p_rootpage_mode=="fade"}selected="selected"{/if}>{'Fade (Default)'|@translate}</option>
          <option value="random" {if $options.p_rootpage_mode=="random"}selected="selected"{/if}>{'Random'|@translate}</option>
          <option value="slideInRight" {if $options.p_rootpage_mode=="slideInRight"}selected="selected"{/if}>{'Slide In Right'|@translate}</option>
          <option value="slideInLeft" {if $options.p_rootpage_mode=="slideInLeft"}selected="selected"{/if}>{'Slide In Left'|@translate}</option>
          <option value="boxRandom" {if $options.p_rootpage_mode=="boxRandom"}selected="selected"{/if}>{'Box Random'|@translate}</option>
          <option value="boxRain" {if $options.p_rootpage_mode=="boxRain"}selected="selected"{/if}>{'Box Rain'|@translate}</option>
          <option value="boxRainReverse" {if $options.p_rootpage_mode=="boxRainReverse"}selected="selected"{/if}>{'Box Rain Reverse'|@translate}</option>
          <option value="boxRainGrow" {if $options.p_rootpage_mode=="boxRainGrow"}selected="selected"{/if}>{'Box Rain Grow'|@translate}</option>
          <option value="boxRainGrowReverse" {if $options.p_rootpage_mode=="boxRainGrowReverse"}selected="selected"{/if}>{'Box Rain Grow Reverse'|@translate}</option>
        </select>
        <label for="p_rootpage_mode">{'Cycle Effect In Slideshow (Default: Fade)'|@translate}</label>
      </li>
      <li><input id="p_rootpage_delay" name="p_rootpage_delay" type="text" value="{$options.p_rootpage_delay}"><label for="p_rootpage_delay">{'Delay In Slideshow (Default: 10)'|@translate}</label>
      <li><label><span class="graphicalCheckbox {if $options.p_rootpage_elastic == "on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_rootpage_elastic" id="p_rootpage_elastic" type="checkbox" value="on" {if $options.p_rootpage_elastic == "on"}checked="checked"{/if}>{'Adapt slideshow size to each photo'|@translate}</label></li>
      <li><label><span class="graphicalCheckbox {if $options.p_rootpage_navarr == "on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_rootpage_navarr" id="p_rootpage_navarr" type="checkbox" value="on" {if $options.p_rootpage_navarr == "on"}checked="checked"{/if}>{'Display navigation arrows'|@translate}</label></li>
      <li><label><span class="graphicalCheckbox {if $options.p_rootpage_navctr == "on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_rootpage_navctr" id="p_rootpage_navctr" type="checkbox" value="on" {if $options.p_rootpage_navctr == "on"}checked="checked"{/if}>{'Display navigation controls'|@translate}</label></li>
    </ul>
  </fieldset>
  <fieldset>
    <legend>{'Advanced Options - Custom CSS'|@translate}</legend>
    <ul><li>
      <label class="textarea" for="p_customcss"><span class="textarea">{'Custom CSS'|@translate}</span></label>
      <textarea rows="4" cols="50" id="p_customcss" name="p_customcss">{$options.p_customcss|escape:"html"}</textarea>
    </li></ul>
  </fieldset>
  <fieldset>
    <legend>{'Advanced Options - Maintenance'|@translate}</legend>
    <ul>
      <li><label><span class="graphicalCheckbox {if $options.p_debug=="on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_debug" id="p_debug" type="checkbox" value="on" {if $options.p_debug=="on"}checked="checked"{/if}>{'Enable Debug Mode'|@translate}</label></li>
      <li><label><span class="graphicalCheckbox icon-check-empty">&nbsp;</span><input name="p_reset" id="p_debug" type="checkbox" value="on">{'Reset Theme to a Default State'|@translate}</label></li>
    </ul>
  </fieldset>
  <input class="submit" type="submit" value="{'Save Changes'|@translate}" name="submit_greydragon" />
</div>
<div id="helpContent">
  <fieldset>
  <legend>{'Help'|@translate}</legend>
  <ul>
    <li><h3>{'Prerequisites'|@translate}</h3>
      <p><b>REQUIREMENTS NEED TO BE MET FOR THE THEME TO FUNCTION PROPERLY.</b><br>
        Please refer to information on the left.
      </p></li>
    <li><h3>{'General Settings'|@translate}</h3>
      <p>To add logo specify <b>Logo Image</b>. Recommended logo height is 80px. If you need bigger space for your logo, CSS adjustments
        would have to be made. In addition to Logo you can specify <b>Header Text</b>.<br>
        <b>Footer Text</b> allows adding simple text as a row in the footer below menu links and Site's credits.
     <p>Important feature of the theme is a support for Color Packs which is managed by <b>Color Pack</b> Option. It allows changing colors, styles,
        theme for the pages. By default theme includes 3 color packs: slateblue, blackhawk, whitehawk, but you could be easily extend the list by 
        creating copy of one of the existing colorpack folders and then adjusting colors.
      </p></li>
    <li><h3>{'Advanced Options - Custom CSS'|@translate}</h3>
      <p>This option allows fine tune Theme's styles to better suit your personal taste.</p>
      <p>Few examples for standard CSS notation:</p>
      <ul>
        <li>Remove fixed width:<br>&nbsp;&nbsp;&nbsp;body { width: auto; }</li>
        <li>Remove fixed width but keep min-width:<br>&nbsp;&nbsp;&nbsp;body { width: auto; min-width: 1270px; }</li>
        <li>Add Thumb shadow for gdThumb: Set margin between thumbs to 10-14px. Modify shadow color to match your theme<br>&nbsp;&nbsp;&nbsp;.gdthumb { box-shadow: 6px 6px 3px #888888; }</li>
      </ul>
  </ul>
</div>
</form>